from django.urls import path
from transaction.views import TransactionCreateView

from . import views

urlpatterns = [
    path("list", views.StatementListView.as_view(), name="statements"),
    path("new", views.StatementCreateView.as_view(), name="new_statement"),
    path("<statement>", views.StatementDetailView.as_view(), name="statement"),
    path(
        "<statement>/edit", views.StatementUpdateView.as_view(), name="edit_statement"
    ),
    path(
        "<statement>/transaction/list",
        views.StatementTListView.as_view(),
        name="statement_transactions",
    ),
    path(
        "<statement>/transaction/new",
        TransactionCreateView.as_view(),
        name="new_transaction",
    ),
    path(
        "<statement>/delete",
        views.StatementDeleteView.as_view(),
        name="del_statement",
    ),
]
